Subject: Re: [PATCH 04/15] Set _O_BINARY as default fmode for both MinGW and MSVC

From: Marius Storm-Olsen <[email-masked]>
Date: Thu, 17 Sep 2009 11:28:32 +0200

Johannes Sixt said the following on 17.09.2009 11:03:
> Alexey Borzenkov schrieb:
>> Do you want me to cook up a patch?
> 
> I consider an answer to the question "why do we need nsec?" more important.
> 
> BTW: t4130-apply-criss-cross-rename.sh fails quite often as well. This
> time it is because we fill in st_ino = 0 instead of some useful value. The
> test moves files around that happen to have identical sizes. After the
> operation, the dirty working tree could be noticed because st_ino differs
> from the index. But since we always set it to 0, it is not noticed.
> (That's my theory.)
> 
> If you make a patch, can you think about this issue as well?

Cygwin version also sets st_ino = 0, so I'm not sure this is the cause 
of failure; unless this test also fails there? Does anyone know?

--
.marius